Bug 134104 - No recovery procedure for bad graphics driver...
No recovery procedure for bad graphics driver...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 12:52 EDT by Arthur Wilkinson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 12:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Arthur Wilkinson 2004-09-29 12:52:37 EDT
Description of problem:

I have a Gigabyte Radeon 9550 AGP graphics card. It is not supported 
by Fedora. Feora used the Generaic VESA driver for it. It was working 
fine, untill I tried to change the driver to the Unsupported VGA 
driver.

Now the X11 server won't start, and when it fails to start it does 
not bring up the utility for resetting your graphics card settings.

In RedHat 9, when I selected a bad driver, and the X11 server failed 
to start, a utility would be brought up that allowed me to select 
another driver. This utility doesn't appear in Fedora.

The point of the bug report is not to say "my graphics card doesn't 
work in Fedora". The point of this bug report is to question why the 
non-graphical driver seleting tool, that would run when the X11 
server failed to start, has been removed.

Additional info:

Processor: AMD Duron 1.3GHz
Motherboard: ASUS A7V8X (the original, no MX or SE)
Graphics card: Gigabyte Radeon 9550 128Mb AGP (based on ATI Radeon 
955 chipset)
RAM: 384Mb 133MHz DDR
CD Drive: Memorex 48X-24X-48X CD-RW (Memorex 48MAXX)
HardDrive (Linux drive): Maxtor 20Gb ATA-IDE
Sound Card: SoundBlaster PCI 512
Networking card: Broadcomm Gigabit LAN (integrated into ASUS A7V8X)
Comment 2 Paul Nasrat 2004-10-12 09:39:57 EDT
Please try system-config-display --reconfig and report back
Comment 3 Paul Nasrat 2004-10-12 09:40:57 EDT
Note for FC2 you'll need the erratum (ensure you have updated from the
updates repository for system-config-display).
Comment 4 Arthur Wilkinson 2004-10-12 10:11:00 EDT
I was able to get help on editing the files that determine what 
graphics driver to use thanks to the people on the IRC channel.

But Fedora should have never been released without some means of 
recovering from a bad graphics driver. Even Windows has a mode where 
you can boot using only the generic drivers so that you can fix 
driver issues.

Also, I have no static internet connection for Fedora to use. I 
downloaded the CD ISOs while at college, so unless the updates come 
in ISO format to be burned on CD, or in an RPM file that I can 
download and install at a later time, then I can't really use them.
Comment 5 Paul Nasrat 2004-10-12 12:03:51 EDT
The fact that --reconfig was broken was a bug, it was fixed in rawhide
soon after without erratum.  I can only apologise for the tardiness
but I corrected the lack of erratum recently.  Updates are simply rpms
- which you can burn off else where and transfer, then update using
rpm CLI or probably better yum/up2date and a file/dir repository.

You can always boot into single user mode (no graphics) to repair
things - and s-c-display --reconfig does what you desire.

Closing, as feature exists in FC2 updates and you have recovered by
other means anyway.

Note You need to log in before you can comment on or make changes to this bug.